org.apache.ignite.internal.processors.cache.persistence.pagemem

## Class SegmentedLruPageReplacementPolicyFactory

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.pagemem.SegmentedLruPageReplacementPolicyFactory

All Implemented Interfaces:
  PageReplacementPolicyFactory

    public class SegmentedLruPageReplacementPolicyFactory
    extends Object
    implements PageReplacementPolicyFactory

`SegmentedLruPageReplacementPolicy` factory.

### Constructor Summary

Constructors
Constructor and Description
`SegmentedLruPageReplacementPolicyFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PageReplacementPolicy` `create(org.apache.ignite.internal.processors.cache.persistence.pagemem.PageMemoryImpl.Segment seg, long ptr, int pagesCnt)` Create page replacement policy.
`long` `requiredMemory(int pagesCnt)` Calculaete amount of memory required to service `pagesCnt` pages.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SegmentedLruPageReplacementPolicyFactory

    public SegmentedLruPageReplacementPolicyFactory()

### Method Detail

#### requiredMemory

    public long requiredMemory(int pagesCnt)

Calculaete amount of memory required to service `pagesCnt` pages.

Specified by:
  `requiredMemory` in interface `PageReplacementPolicyFactory`
Parameters:
  `pagesCnt` - Pages count.

#### create

    public PageReplacementPolicy create(org.apache.ignite.internal.processors.cache.persistence.pagemem.PageMemoryImpl.Segment seg,
                                        long ptr,
                                        int pagesCnt)

Create page replacement policy.

Specified by:
  `create` in interface `PageReplacementPolicyFactory`
Parameters:
  `seg` - Page memory segment.
  `ptr` - Pointer to memory region.
  `pagesCnt` - Pages count.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023